
Core - Task # 17198

Task # 38755 (Accepted): Usability issues collected on the UX sprint

Status: Resolved Priority: Must have
Author: Nikolas Hagelstein Category: Backend User Interface
Created: 2007-04-10 Assigned To: Jigal van Hemert
Updated: 2012-11-06 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: medium
Sprint Focus:
Subject: Allow Drag&Drop of Content-Elements in Page-Module
Description

Having something like :
http://typo3.org/extensions/repository/view/gb_bedraganddrop/0.3.0/

For FCEs and repeative sections would be great.
(issue imported from #M5390)

Related issues:
related to Core - Bug # 47928: Drag & drop in page-modul: Does not work in "L... New 2013-05-05

Associated revisions
Revision d62fb10e - 2012-11-05 23:57 - Jigal van Hemert

[TASK] Drag&Drop of Content-Elements in Page-Module

Change-Id: I1fca2b537f134b57f3161d6ae636c6d9e67012e0
Resolves: #17198
Releases: 6.0
Reviewed-on: http://review.typo3.org/15103
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2007-07-05 11:49 - Dmitry Dulepov

This is about TCEForms and rendering sections inside them. Moving to CORE.

#2 - 2012-07-08 17:14 - Steffen Ritter
- Subject changed from Drag n Drop functionallity to Allow Drag&Drop of Content-Elements in Page-Module
- Category set to Backend User Interface
- Status changed from New to Accepted
- Priority changed from Should have to Must have
- Target version changed from 0 to 6.0.0-alpha3
- % Done changed from 0 to 30
- Parent task set to #38755
- TYPO3 Version changed from 4.1 to 6.0
- PHP Version changed from 4.3 to 5.3
- Complexity set to medium

This functionality has been implemented at the UXW and is currently shipped within the spin-off extension "gridelements".
Finally port this to the Core.

An Page-Module restyling Task will follow.

#3 - 2012-07-16 20:03 - Soren Malling

I got great information from Joh, I will try and do the first rough implementation to core.

No styling included, pure functionality!

#4 - 2012-08-08 00:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#5 - 2012-08-08 00:51 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#6 - 2012-08-09 16:39 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13510

#7 - 2012-08-31 11:10 - Steffen Müller

Please mark this issue as resolved, the patch has been merged already: https://review.typo3.org/#/c/13510/

#8 - 2012-08-31 12:33 - Stefan Galinski
- Status changed from Under Review to Accepted

The patch just prepared the page module for drag&drop, but didn't integrated it. So back to the start... ;-)

#9 - 2012-09-21 09:30 - Jigal van Hemert
- Tracker changed from Feature to Task
- Assigned To set to Jigal van Hemert
- Target version changed from 6.0.0-alpha3 to 6.0.0-RC1

#10 - 2012-09-26 20:21 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15103

#11 - 2012-10-01 22:06 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15103

#12 - 2012-10-01 23:21 - Jigal van Hemert
- File dragdropproblem.png added

#13 - 2012-11-05 21:18 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15103

#14 - 2012-11-05 22:25 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15103

#15 - 2012-11-06 00:30 - Jigal van Hemert
- Status changed from Under Review to Resolved
- % Done changed from 30 to 100

Applied in changeset commit:d62fb10eb12c51cc2176651004e5b8eca473ad2c.

Files
dragdropproblem.png 16.6 kB 2012-10-01 Jigal van Hemert
